Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class MCMaxEnt

    java.lang.Object
      cc.mallet.classify.Classifier
          cc.mallet.classify.MCMaxEnt

All Implemented Interfaces:
  AlphabetCarrying, java.io.Serializable

    public class MCMaxEnt

extends Classifier
implements java.io.Serializable

Maximum Entropy classifier.

Author:
  Andrew McCallum mccallum@cs.umass.edu
See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.classify.Classifier
`instancePipe`

Constructor Summary
`MCMaxEnt(Pipe dataPipe, double[] parameters)`
`MCMaxEnt(Pipe dataPipe, double[] parameters, FeatureSelection featureSelection)`
`MCMaxEnt(Pipe dataPipe, double[] parameters, FeatureSelection[] perClassFeatureSelection)`
`MCMaxEnt(Pipe dataPipe, double[] parameters, FeatureSelection featureSelection, FeatureSelection[] perClassFeatureSelection)`

Method Summary
`Classification` | `classify(Instance instance)`
`void` | `getClassificationScores(Instance instance, double[] scores)`
`double[]` | `getParameters()`
`void` | `getUnnormalizedClassificationScores(Instance instance, double[] scores)`
`void` | `print()` Outputs human-readable description of classifier (e.g., list of weights, decision tree) to System.out
`void` | `setParameter(int classIndex, int featureIndex, double value)`

Methods inherited from class cc.mallet.classify.Classifier
`alphabetsMatch, classify, classify, classify, getAccuracy, getAlphabet, getAlphabets, getAverageRank, getF1, getF1, getF1, getFeatureSelection, getInstancePipe, getLabelAlphabet, getPerClassFeatureSelection, getPrecision, getPrecision, getPrecision, getRecall, getRecall, getRecall, print`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MCMaxEnt

    public MCMaxEnt(Pipe dataPipe,
                    double[] parameters,
                    FeatureSelection featureSelection,
                    FeatureSelection[] perClassFeatureSelection)

### MCMaxEnt

    public MCMaxEnt(Pipe dataPipe,
                    double[] parameters,
                    FeatureSelection featureSelection)

### MCMaxEnt

    public MCMaxEnt(Pipe dataPipe,
                    double[] parameters,
                    FeatureSelection[] perClassFeatureSelection)

### MCMaxEnt

    public MCMaxEnt(Pipe dataPipe,
                    double[] parameters)

Method Detail

### getParameters

    public double[] getParameters()

### setParameter

    public void setParameter(int classIndex,
                             int featureIndex,
                             double value)

### getUnnormalizedClassificationScores

    public void getUnnormalizedClassificationScores(Instance instance,
                                                    double[] scores)

### getClassificationScores

    public void getClassificationScores(Instance instance,
                                        double[] scores)

### classify

    public Classification classify(Instance instance)

  Specified by:
    `classify` in class `Classifier`

### print

    public void print()

  Description copied from class: `Classifier`
  Outputs human-readable description of classifier (e.g., list of weights, decision tree) to System.out

  Overrides:
    `print` in class `Classifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD